pitch analysis by filtered cross-correlation

A command that creates a Pitch object from every selected Sound object.

## Purpose

to perform a pitch analysis based on the forward cross-correlation of the low-pass filtered signal.

## Usage

We know of no situation yet in which this method is preferred over pitch analysis by filtered autocorrelation (which seems better for measuring intonation and vocal-fold vibration frequency), pitch analysis by raw cross-correlation (which is definitely better for voice analysis, such as jitter and shimmer), or pitch analysis by raw autocorrelation (which is better for determining raw periodicity). It is possible that filtered cross-correlation can play a role in voice analysis in the future, in combination with one of the other methods; this is yet to be determined.

## Algorithm

This command will first low-pass filter the signal, then apply pitch analysis by raw cross-correlation on the filtered signal. For the filter function, see pitch analysis by filtered autocorrelation.

## Settings

The settings are the same as for pitch analysis by filtered autocorrelation.

## Availability in Praat

Pitch analysis by raw cross-correlation is available in two ways in Praat:

  • via Sound: To Pitch (raw cross-correlation)... from the Analyse periodicity menu in the Objects window when you select a Sound object;
  • via Show Pitch and Pitch analysis method is raw cross-correlation from the Pitch menu when you are viewing a Sound or TextGrid object (SoundEditor, TextGridEditor).

### Links to this page

- how to choose a pitch analysis method
- Intro 4.2. Configuring the pitch contour
- Pitch settings...
- Sound: To Pitch (filtered cross-correlation)...